## ocaml-evtchn 1.0.5

=== Makefile ===
.PHONY: all clean install build
all: build

J=4

export OCAMLRUNPARAM=b

include config.mk
config.mk: configure
	./configure

configure: configure.ml
	ocamlfind ocamlopt -package "cmdliner" -linkpkg $< -o $@
	rm -f configure.c* configure.o

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	./setup.bin -configure --enable-tests $(ENABLE_XENCTRL)

build: setup.data setup.bin
	./setup.bin -build -j $(J) -classic-display

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

install: setup.bin
	@./setup.bin -install

test: setup.bin build
	ls -lR
	./setup.bin -test

reinstall: setup.bin
	@ocamlfind remove xen-evtchn || true
	@./setup.bin -reinstall

uninstall:
	@ocamlfind remove xen-evtchn || true

clean:
	@ocamlbuild -clean
	@rm -f setup.data setup.log setup.bin

=== debian/changelog ===
ocaml-evtchn (1.0.5-3) UNRELEASED; urgency=low

  * Remove dependency on xen-missing-headers

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

ocaml-evtchn (1.0.5-2) UNRELEASED; urgency=low

  * Add dependency on xen-missing-headers

 -- David Scott <dave.scott@citrix.com>  Tue, 19 Aug 2014 12:00:00 +0000

ocaml-evtchn (1.0.5-1) UNRELEASED; urgency=low

  * Update to 1.0.5

 -- David Scott <dave.scott@citrix.com>  Wed, 16 Jul 2014 12:00:00 +0000

ocaml-evtchn (1.0.1-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@citrix.com>  Fri, 23 May 2014 12:00:00 +0000

=== debian/control ===
Source: ocaml-evtchn
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 blktap-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libio-page-ocaml-dev,
 camlp4,
 python,
 debhelper (>= 8),
 qemu-system-x86,
 blktap-utils,
 camlp4-extra,
 ocaml-native-compilers,
 libcstruct-ocaml-dev,
 liblwt-ocaml-dev,
 ocaml-findlib,
 libcmdliner-ocaml-dev,
 libxen-dev

Package: ocaml-evtchn
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml bindings for userspace Xen event channel controls
 These APIs allow programs running in userspace to signal other
 domains on the same host.

Package: ocaml-evtchn-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-evtchn (>= 1.0.5-3),
 libio-page-ocaml-dev,
 libxen-dev,
 blktap-dev,
 qemu-system-x86,
 blktap-utils
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-evtchn
 The ocaml-evtchn-devel package contains libraries and signature files
 for developing applications that use ocaml-evtchn.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/ocaml-evtchn/usr/lib/ocaml/xen-evtchn/*.a
	rm -f debian/ocaml-evtchn/usr/lib/ocaml/xen-evtchn/*.cmxa
	rm -f debian/ocaml-evtchn/usr/lib/ocaml/xen-evtchn/*.cmx
	rm -f debian/ocaml-evtchn/usr/lib/ocaml/xen-evtchn/*.ml
	rm -f debian/ocaml-evtchn/usr/lib/ocaml/xen-evtchn/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
